# Uses of Class
org.eclipse.swt.widgets.Tree

Packages that use Tree
Package
Description
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.e4.ui.css.swt.dom
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.dnd
SWT Drag and Drop support.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.

## Uses of Tree in org.eclipse.compare.structuremergeviewer

Constructors in org.eclipse.compare.structuremergeviewer with parameters of type Tree
Modifier
Constructor
Description
``
`DiffTreeViewer(Tree tree, CompareConfiguration configuration)`
Creates a new viewer for the given SWT tree control with the specified configuration.
``
`StructureDiffViewer(Tree tree, CompareConfiguration configuration)`
Creates a new viewer for the given SWT tree control with the specified configuration.

## Uses of Tree in org.eclipse.e4.ui.css.swt.dom

Methods in org.eclipse.e4.ui.css.swt.dom that return Tree
Modifier and Type
Method
Description
`Tree`
TreeElement.`getTree()`
Constructors in org.eclipse.e4.ui.css.swt.dom with parameters of type Tree
Modifier
Constructor
Description
``
`TreeElement(Tree tree, CSSEngine engine)`

## Uses of Tree in org.eclipse.jface.util

Methods in org.eclipse.jface.util with parameters of type Tree
Modifier and Type
Method
Description
`static boolean`
ConfigureColumns.`forTree(Tree tree, IShellProvider shellProvider)`
Configure the columns of the given tree in a keyboard-accessible way, using the given shell provider to parent dialogs.

## Uses of Tree in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return Tree
Modifier and Type
Method
Description
`Tree`
TreeViewer.`getTree()`
Returns this tree viewer's tree control.
Constructors in org.eclipse.jface.viewers with parameters of type Tree
Modifier
Constructor
Description
``
`CheckboxTreeViewer(Tree tree)`
Creates a tree viewer on the given tree control.
``
`TreeViewer(Tree tree)`
Creates a tree viewer on the given tree control.

## Uses of Tree in org.eclipse.swt.custom

Constructors in org.eclipse.swt.custom with parameters of type Tree
Modifier
Constructor
Description
``
`TreeCursor(Tree parent, int style)`
Constructs a new instance of this class given its parent tree and a style value describing its behavior and appearance.
``
`TreeEditor(Tree tree)`
Creates a TreeEditor for the specified Tree.

## Uses of Tree in org.eclipse.swt.dnd

Constructors in org.eclipse.swt.dnd with parameters of type Tree
Modifier
Constructor
Description
``
`TreeDragSourceEffect(Tree tree)`
Creates a new `TreeDragSourceEffect` to handle drag effect from the specified `Tree`.
``
`TreeDropTargetEffect(Tree tree)`
Creates a new `TreeDropTargetEffect` to handle the drag under effect on the specified `Tree`.

## Uses of Tree in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Tree
Modifier and Type
Method
Description
`Tree`
TreeColumn.`getParent()`
Returns the receiver's parent, which must be a `Tree`.
`Tree`
TreeItem.`getParent()`
Returns the receiver's parent, which must be a `Tree`.
Constructors in org.eclipse.swt.widgets with parameters of type Tree
Modifier
Constructor
Description
``
`TreeColumn(Tree parent, int style)`
Constructs a new instance of this class given its parent (which must be a `Tree`) and a style value describing its behavior and appearance.
``
`TreeColumn(Tree parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `Tree`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.
``
`TreeItem(Tree parent, int style)`
Constructs `TreeItem` and inserts it into `Tree`.
``
`TreeItem(Tree parent, int style, int index)`
Constructs `TreeItem` and inserts it into `Tree`.

## Uses of Tree in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions with parameters of type Tree
Modifier and Type
Method
Description
`protected Point`
QuickMenuCreator.`computeMenuLocation(Tree tree)`
Hook to compute the menu location if the focus widget is a tree widget.
Constructors in org.eclipse.ui.actions with parameters of type Tree
Modifier
Constructor
Description
``
`RenameResourceAction(IShellProvider provider, Tree tree)`
Creates a new action.
``
`RenameResourceAction(Shell shell, Tree tree)`
Deprecated.
see `RenameResourceAction(IShellProvider, Tree)`

## Uses of Tree in org.eclipse.ui.dialogs

Constructors in org.eclipse.ui.dialogs with parameters of type Tree
Modifier
Constructor
Description
``
`ContainerCheckedTreeViewer(Tree tree)`
Constructor for ContainerCheckedTreeViewer.

## Uses of Tree in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets that return Tree
Modifier and Type
Method
Description
`Tree`
FormToolkit.`createTree(Composite parent, int style)`
Creates a tree widget as a part of the form.